Doomsday Engine - Feature #1242

Player weapon particle muzzle flashes (for external viewers only)
2003-07-18 17:09 - chilvence

Status: New Start date: 2003-07-18
Priority: High % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

Im sure something similair has been mentioned before,
but | couldnt find it so sorry in advance. | think my
version is a bit different though;

I need to be able to map a particle effect to each player
weapon's firing frames, to be ONLY visible to other
players.

This is partly because in cutting down my soldiers
filesize I've already used all four md2 slots; I use the
same model for zombieman/shotgunguy/doomguy,

loading different variations of the head, arms and
weapons for each one. These are all mapped onto the

same generic body model and walking states, saving lots
of redundant frames of animation. Anyway, now there

isnt a fifth slot for the flash....

It's also partly because particle muzzle flashes look
really damn cool! You can make alot cleaner flash
animation from a bunch of sprites than you can from a
pair of flattened triangles with an explosion painted on
them. The potential for adding ambient effects like
gunsmoke etc would also be there.

Thanks for reading;

Chilvence

Related issues:
Related to Feature #1699: Particle renderer 2.0 New

2014-01-03

History

#1 - 2003-07-18 20:09 - chilvence

Logged In: YES
user_id=675595

| caved in and combined the arms to the main model, so |
dont need this as much now; | still think it should be in
though, | can set up all the generators and do the particle art
if you like.

| had a thought that the easiest way would be to make it a

new generator "type" so instead of putting generator { state = xxx } youd use generator { weapon = "shotgun" }. Youd

still use all the other particle settings, so whenever the
shotgun weapon is fired, this generator and everything in it
will be spawned. An added pleasure would be the ability to
inherit the particle vector from where the weapon was
pointed :)

#2 - 2003-07-19 21:43 - chilvence

Logged In: YES
user_id=675595
| forgot to mention, I've already tried particle gun flashes
both on the zombies and on the hud weapons (by bodge-
assigning it to the player fire state), and it really really can
look good... like Max Payne

#3 - 2003-07-20 12:06 - skyjake

(originally posted by anonymous SF.net user)
Logged In: NO

It definetly gets my vote ;)

Dani J

#4 - 2013-10-20 21:30 - skyjake

- Tags set to 3DModel, Particles, Animation

- Category set to Enhancement

- Priority changed from Normal to High

#5 - 2019-11-29 16:19 - skyjake

- Subject changed from Player weapon particle muzzle flashes to Player weapon particle muzzle flashes (for external viewers only)

- Target version set to Rendering

#6 - 2019-11-29 16:20 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added
